org.apache.sling.launchpad.startupmanager

## Class LaunchpadContentProviderImpl

- java.lang.Object
- - org.apache.sling.launchpad.startupmanager.LaunchpadContentProviderImpl

All Implemented Interfaces:
  org.apache.sling.launchpad.api.LaunchpadContentProvider

    public class LaunchpadContentProviderImpl
    extends Object
    implements org.apache.sling.launchpad.api.LaunchpadContentProvider

### Constructor Summary

Constructors
Constructor and Description
`LaunchpadContentProviderImpl(org.osgi.framework.Bundle framework)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<String>` `getChildren(String path)`
`URL` `getResource(String path)`
`InputStream` `getResourceAsStream(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchpadContentProviderImpl

    public LaunchpadContentProviderImpl(org.osgi.framework.Bundle framework)

### Method Detail

#### getChildren

    public Iterator<String> getChildren(String path)

Specified by:
  `getChildren` in interface `org.apache.sling.launchpad.api.LaunchpadContentProvider`

#### getResource

    public URL getResource(String path)

Specified by:
  `getResource` in interface `org.apache.sling.launchpad.api.LaunchpadContentProvider`

#### getResourceAsStream

    public InputStream getResourceAsStream(String path)

Specified by:
  `getResourceAsStream` in interface `org.apache.sling.launchpad.api.LaunchpadContentProvider`